﻿B4i=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=6.8
@EndOfDesignText@
'Code module

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'Public variables can be accessed from all modules.
	Private PageAlertsRecord As Page
	Private textFieldAddress, TextFieldAlert As TextField
	Private pnlAlerts As Panel

End Sub

Public Sub ShowAlertsRecord
	PageAlertsRecord.Initialize("PageAlertsRecord")
	
	ResetLayout  'Localization
	
	'Set gradiant color to panel
	GlobalFunctions.SetTheme(pnlAlerts, False)
	
	Main.NavControl.ShowPage(PageAlertsRecord)
	PageAlertsRecord.TopRightButtons = Array(CreateFABarButton(Chr(0xF0C7), "Save"))

	'Prepare fields for entry
	textFieldAddress.Text = ""
	textFieldAddress.Enabled = True
	TextFieldAlert.Text = ""
	TextFieldAlert.Enabled = True
	textFieldAddress.RequestFocus

End Sub

Private Sub PageAlertsRecord_Disappear
	textFieldAddress.Text = " "
	TextFieldAlert.Text = " "
	PageAlertsRecord.ResignFocus
End Sub

Private Sub textFieldAddress_EndEdit
	If textFieldAddress.Text = "" Then  'No Empty field allowed
'		GlobalFunctions.DialogBox("Action Needed", "Can't Have Empty Address", "OK", "", "")
		textFieldAddress.RequestFocus
		Return
	End If
	textFieldAddress.text = GlobalFunctions.CapitalizeAllFirstLetters(textFieldAddress.Text)
	TextFieldAlert.RequestFocus
End Sub

Private Sub  textFieldAddress_EnterPressed
	textFieldAddress_EndEdit
End Sub

Private Sub textFieldAlert_EnterPressed
	If TextFieldAlert.Text = "" Then  'No Empty field allowed
'		GlobalFunctions.DialogBox("Action Needed", "Can't Have Empty Alert Message", "OK", "", "")
		TextFieldAlert.RequestFocus
		Return
	End If
	TextFieldAlert.ResignFocus
End Sub

Private Sub CreateFABarButton(text As String, tag As Object) As BarButton
	Dim bb As BarButton
	Dim b As Button
	b.InitializeCustom("BarButton", 0xFF007AFF, 0xFFE3EBF4)
	b.CustomLabel.Font = Font.CreateNew2("FontAwesome", 24)
	b.Text = text
	b.Tag = tag
	b.SetLayoutAnimated(0, 1, 0, 0, 30, 40)
	bb.InitializeCustom(b)
	Return bb
End Sub

Private Sub BarButton_Click
	Dim b As Button = Sender
	Log(b.Tag & " was clicked")
	If b.Tag = "Save" Then
		UpdateEntry
	End If
End Sub

Private Sub UpdateEntry
	If textFieldAddress.Text = "" Or TextFieldAlert.Text = "" Then
		Return
	End If
	Dim Query As String
	Dim Address As String
	Dim ResultSet1 As ResultSet
	
	'Seek Alert Record, No Dups
	Address = textFieldAddress.Text.Trim.ToUpperCase
	ResultSet1 = Main.SQL1.ExecQuery("SELECT * FROM alerts WHERE UPPER(Trim(Address)) = " & "'" & Address & "'")
	ResultSet1.NextRow
	If ResultSet1.GetString("AlertText") <> Null Then
		'Show Warning
'		GlobalFunctions.DialogBox("Action Needed", "No Duplicate Records Allowed", "OK", "", "")
		Return
	End If
	
	Address = textFieldAddress.Text.Trim
	
	Query = "INSERT INTO alerts VALUES (?, ?)"
	Main.SQL1.ExecNonQuery2(Query, Array As Object(Address, TextFieldAlert.Text))

'	GlobalFunctions.ToastMessage("Record Added", False)

	AlertsRecords.ReturnFromAddAlertsRecord
End Sub

Private Sub ResetLayout
	PageAlertsRecord.RootPanel.RemoveAllViews
	PageAlertsRecord.RootPanel.LoadLayout("AlertsRecord")
	PageAlertsRecord.Title = Main.Localize.Localize("Add Alert")
	Main.Localize.LocalizeLayout(PageAlertsRecord.RootPanel)
End Sub