﻿B4i=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=6.8
@EndOfDesignText@
'Code module

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'Public variables can be accessed from all modules.
	Private PageAlertsRecords As Page
	Private TableView1 As TableView
	Private RowIdList As List
	Public RowId As Int

	
	Private Address, Alert As String
End Sub

Public Sub ShowAlertsRecords
	PageAlertsRecords.Initialize("PageAlertsRecords")

	ResetLayout  'For Localization
		
	Main.NavControl.ShowPage(PageAlertsRecords)

	ShowAlertsTable

End Sub

Private Sub ShowAlertsTable
	Private ResultSet1 As ResultSet
	
	RowIdList.Initialize
	TableView1.Initialize("TableView1", False)
	
	ResultSet1 = Main.SQL1.ExecQuery("SELECT rowid, * FROM alerts ORDER BY Address ASC")
	Do While ResultSet1.NextRow
		'create an item and customize it
		Address = ResultSet1.GetString("Address")
		Alert = ResultSet1.GetString("AlertText")

		RowIdList.Add(ResultSet1.GetString("rowid"))

		Dim tc As TableCell = TableView1.AddTwoLines(Address, " ") 'the second line will be soon added
		Dim ColoredTitle As AttributedString
		ColoredTitle.Initialize(Main.Localize.Localize("Alert") & ": " & Alert, Font.CreateNew(16), Colors.RGB(0, 100, 0))
		tc.DetailText = ColoredTitle
		tc.AddActionButton("Delete", Colors.Red)
	Loop
	ResultSet1.Close

	PageAlertsRecords.RootPanel.AddView(TableView1, 0, 0, 100%x, 100%y)
	PageAlertsRecords.TopRightButtons = Array(CreateFABarButton(Chr(0xF067), "Add"))

	If RowIdList.Size = 0 Then
		GlobalFunctions.ToastMessage("No Records, yet.", False)
	End If
End Sub

Private Sub TableView1_ActionButtonClicked (SectionIndex As Int, Cell As TableCell, Text As String)
	Dim i As Int = TableView1.GetItems(SectionIndex).IndexOf(Cell)
	RowId = RowIdList.Get(i)
	
	Select Text
		Case "Delete"
			Dim Query As String
			Query = "DELETE FROM alerts WHERE rowid = " & RowId
			Main.SQL1.ExecNonQuery(Query)						'delete the entry
			TableView1.BeginUpdates
			TableView1.RemoveCells(SectionIndex, TableView1.GetItems(SectionIndex).IndexOf(Cell), 1)
			TableView1.EndUpdates
	End Select
	
End Sub

Private Sub ResetLayout
	PageAlertsRecords.RootPanel.RemoveAllViews
	PageAlertsRecords.RootPanel.LoadLayout("AlertsRecords")
	PageAlertsRecords.Title = Main.Localize.Localize("Alerts")
	PageAlertsRecords.RootPanel.Color = Colors.White
	Main.Localize.LocalizeLayout(PageAlertsRecords.RootPanel)
End Sub

Private Sub CreateFABarButton(text As String, tag As Object) As BarButton
	Dim bb As BarButton
	Dim b As Button
	b.InitializeCustom("BarButton", 0xFF007AFF, 0xFFE3EBF4)
	b.CustomLabel.Font = Font.CreateNew2("FontAwesome", 24)
	b.Text = text
	b.Tag = tag
	b.SetLayoutAnimated(0, 1, 0, 0, 30, 40)
	bb.InitializeCustom(b)
	Return bb
End Sub

Private Sub BarButton_Click
	Dim b As Button = Sender
	Log(b.Tag & " was clicked")
	If b.Tag = "Add" Then
		AlertsRecord.ShowAlertsRecord
	End If
End Sub

Public Sub ReturnFromAddAlertsRecord
	Main.NavControl.SetPagesStack(Array (Mainscreen.PageMain))
	ShowAlertsRecords
End Sub

Private Sub PageAlertsRecords_Disappear
	Mainscreen.CloseMenu
End Sub
